Subject: [bug#53312] [PATCH] gnu: Add sxmo-st.

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 19:06:12 -0500

On Thu, 07 Jul 2022 19:05:24 -0500 jgart <[email-masked]> wrote:
> On Thu, 07 Jul 2022 14:44:42 -0400 Maxim Cournoyer <[email-masked]> wrote:
> > Hi jgart,
> > 
> > jgart <[email-masked]> writes:
> > 
> > > * gnu/packages/suckless.scm (sxmo-st): New variable.
> > > ---
> > >
> > > Hi Guixers,
> > >
> > > This is the st for sxmo:
> > >
> > > https://sxmo.org/
> > >
> > > Sxmo is a minimalist environment for Linux mobile devices, such as the pinephone.
> > >
> > > I'm upstreaming this from guixrus channel:
> > >
> > > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/suckless.scm#L219
> > 
> > Have you tried it on a Pinephone?  Did it work?
> 
> Unfortunately, my pinphone pro got donated to the salvation army[1] before I could do so (long story).
> 
> [1]: https://en.wikipedia.org/wiki/The_Salvation_Army
> 
> I imagine it should work but maybe someone can test this?
> 
> The pinephone is too slow to run guix (im my experience) but the pinephone pro might be a good candidate with it's CPU specs.
> 
> all best,
> 
> jgart

I had installed Guix on mobian. This is probably the easiest way to install Guix on the pinephone since it is just a `sudo apt install guix` away.